
/*
 * Copyright 1993, 1995 Christopher Seiwald.
 *
 * This file is part of Jam - see jam.c for Copyright information.
 */

/*
 * newstr.h - string manipulation routines
 */

#ifndef _JAM_STRING_HPP_
#define _JAM_STRING_HPP_


namespace Jam
{
	class String
	{
	public:
		static char *newstr( const char *string );
		static const char *copystr( const char *s );
		static void freestr( const char *s );
		static void donestr();
	};
}


#endif _JAM_STRING_HPP_